/*
 * Code for class I18N_HOST_LOCALE_IMP
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"
#include "../E1/eoffsets.h"

#include "i11987.h"
#include <string.h>
#include "eif_langinfo.h"
#include <locale.h>
#include "eif_dir.h"
#include <eif_eiffel.h>
#include <eif_langinfo.h>
#include <iconv.h>

#ifdef __cplusplus
extern "C" {
#endif

#ifndef INLINE_F2956_33770
static int inline_F2956_33770 (void)
{
	#if EIF_OS == EIF_OS_SUNOS
	return (EIF_BOOLEAN)1;
#else
	return (EIF_BOOLEAN)0;
#endif
	;
}
#define INLINE_F2956_33770
#endif
#ifndef INLINE_F227_3751
static EIF_INTEGER_32 inline_F227_3751 (void)
{
	return D_T_FMT;
	;
}
#define INLINE_F227_3751
#endif
#ifndef INLINE_F227_3752
static EIF_INTEGER_32 inline_F227_3752 (void)
{
	return D_FMT;
	;
}
#define INLINE_F227_3752
#endif
#ifndef INLINE_F227_3753
static EIF_INTEGER_32 inline_F227_3753 (void)
{
	return T_FMT;
	;
}
#define INLINE_F227_3753
#endif
#ifndef INLINE_F227_3749
static EIF_INTEGER_32 inline_F227_3749 (void)
{
	return AM_STR;
	;
}
#define INLINE_F227_3749
#endif
#ifndef INLINE_F227_3750
static EIF_INTEGER_32 inline_F227_3750 (void)
{
	return PM_STR;
	;
}
#define INLINE_F227_3750
#endif
#ifndef INLINE_F227_3755
static EIF_INTEGER_32 inline_F227_3755 (void)
{
	return CRNCYSTR;
	;
}
#define INLINE_F227_3755
#endif
#ifndef INLINE_F226_3706
static EIF_POINTER inline_F226_3706 (void)
{
	#if EIF_OS == EIF_OS_OPENBSD
	return locale_charset ();
#else
	return nl_langinfo (CODESET);
#endif
	;
}
#define INLINE_F226_3706
#endif
#ifndef INLINE_F226_3704
static EIF_POINTER inline_F226_3704 (EIF_INTEGER_32 arg1)
{
	char *dname;
				wchar_t *out = NULL;
				size_t insize, outsize = 0;

				dname = nl_langinfo(arg1);
				insize = strlen(dname) + 1;
				
				{
					iconv_t cd;
					size_t nconv, avail, alloc;
					char *res, *tres, *wrptr, *inptr;
					char **l_inptr = &inptr;

					alloc = avail = insize + insize/4;
					if (!(res = malloc(alloc))) {
					  perror("malloc");
					  return NULL;
					}

					wrptr = res;   /* duplicate pointers because they */
					inptr = dname; /* get modified by iconv */
					
					/*get charset used by current locale */
					#if EIF_OS == EIF_OS_OPENBSD
						char *charset = locale_charset ();
					#else
						char *charset = nl_langinfo (CODESET);
					#endif
					
					cd = iconv_open ("UTF-8", charset);
					if (cd == (iconv_t)(-1)) {
							perror("iconv_open");
							free(res);
							return NULL;
					}

					do {
							nconv = iconv (cd, l_inptr, &insize, &wrptr, &avail); /*convertions */
							if (nconv == (size_t)(-1)) {
									if (errno == E2BIG) { /* need more room for result */
											tres = realloc(res, alloc += 20);
											avail += 20;
											if (!tres) {
													perror("realloc");
													break;
											}
											wrptr = tres + (wrptr - res);
											res = tres;
									}
									else /* something wrong with input */
											break;
							}
					} while (insize);

					if (iconv_close(cd))
							perror("iconv_close");
				   
					out = (wchar_t*) res;
					outsize = wrptr - res; /* should be == to (alloc - avail + 1) */
					/* TODO: should possibly null-terminate the result */
				}
				return out;
	;
}
#define INLINE_F226_3704
#endif
#ifndef INLINE_F227_3718
static EIF_INTEGER_32 inline_F227_3718 (void)
{
	return DAY_1;
	;
}
#define INLINE_F227_3718
#endif
#ifndef INLINE_F227_3737
static EIF_INTEGER_32 inline_F227_3737 (void)
{
	return MON_1;
	;
}
#define INLINE_F227_3737
#endif
#ifndef INLINE_F227_3711
static EIF_INTEGER_32 inline_F227_3711 (void)
{
	return ABDAY_1;
	;
}
#define INLINE_F227_3711
#endif
#ifndef INLINE_F227_3725
static EIF_INTEGER_32 inline_F227_3725 (void)
{
	return ABMON_1;
	;
}
#define INLINE_F227_3725
#endif
#ifndef INLINE_F226_3710
static EIF_INTEGER_32 inline_F226_3710 (void)
{
	return LC_ALL;
	;
}
#define INLINE_F226_3710
#endif
#ifndef INLINE_F226_3709
static EIF_POINTER inline_F226_3709 (EIF_INTEGER_32 arg1, EIF_POINTER arg2)
{
	return setlocale((int) arg1, (const char *) arg2);
	;
}
#define INLINE_F226_3709
#endif

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {I18N_HOST_LOCALE_IMP}.create_locale_info */
EIF_REFERENCE F2956_33734 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(4);
	RTLR(0,arg1);
	RTLR(1,tr1);
	RTLR(2,Current);
	RTLR(3,Result);
	RTLIU(4);
	
	RTGC;
	if (EIF_TEST (inline_F2956_33770())) {
		tr1 = *(EIF_REFERENCE *)(RTCW(arg1) + _REFACS_1_);
		tr1 = F2956_33772(Current, tr1);
		F226_3702(Current, tr1);
	} else {
		tr1 = *(EIF_REFERENCE *)(RTCW(arg1) + _REFACS_1_);
		F226_3702(Current, tr1);
	}
	Result = RTLNS(eif_new_type(231, 0x00).id, 231, _OBJSIZ_35_0_0_5_0_0_0_0_);
	F232_3874(RTCW(Result));
	{
		/* INLINED CODE (I18N_HOST_LOCALE_IMP.fill) */
		F2956_33742(Current, Result);
		F2956_33743(Current, Result);
		F2956_33744(Current, Result);
		F2956_33745(Current, Result);
		/* END INLINED CODE */
	}
	;
	{
		/* INLINED CODE (I18N_LOCALE_INFO.set_id) */
		(void) RTCW(Result);
		RTAR(Result, arg1);
		*(EIF_REFERENCE *)(Result + _REFACS_34_) = (EIF_REFERENCE) arg1;
		/* END INLINED CODE */
	}
	;
	RTLE;
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.is_available */
EIF_BOOLEAN F2956_33735 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(3);
	RTLR(0,arg1);
	RTLR(1,tr1);
	RTLR(2,Current);
	RTLIU(3);
	
	RTGC;
	if (EIF_TEST (inline_F2956_33770())) {
		tr1 = *(EIF_REFERENCE *)(RTCW(arg1) + _REFACS_1_);
		tr1 = F2956_33772(Current, tr1);
		Result = F226_3705(Current, tr1);
	} else {
		tr1 = *(EIF_REFERENCE *)(RTCW(arg1) + _REFACS_1_);
		Result = F226_3705(Current, tr1);
	}
	RTLE;
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.available_locales */
EIF_REFERENCE F2956_33736 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_BOOLEAN tb1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(6);
	RTLR(0,Current);
	RTLR(1,Result);
	RTLR(2,loc2);
	RTLR(3,tr1);
	RTLR(4,loc3);
	RTLR(5,loc1);
	RTLIU(6);
	
	RTGC;
	{
		static EIF_TYPE_INDEX typarr0[] = {1550,2921,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		Result = RTLNS(typres0.id, 1550, _OBJSIZ_2_3_0_1_0_0_0_0_);
	}
	F1551_14878(RTCW(Result));
	loc2 = RTLNS(eif_new_type(794, 0x00).id, 794, _OBJSIZ_3_0_0_1_0_2_0_0_);
	tr1 = RTMS_EX_H("/usr/share/i18n/locales/",24,2077116975);
	F795_11166(RTCW(loc2), tr1);
	{
		/* INLINED CODE (DIRECTORY.exists) */
		tb1 = (EIF_BOOLEAN)  0;
		(void) RTCW(loc2);
		tp1 = *(EIF_POINTER *)(RTCV(F795_11205(loc2))+ _PTROFF_0_1_0_1_0_0_);
		tb1 = (EIF_BOOLEAN) EIF_TEST(eif_dir_exists((EIF_FILENAME) tp1));
		/* END INLINED CODE */
	}
	tb1 = tb1;
	if ((EIF_BOOLEAN) !tb1) {
		tr1 = RTMS_EX_H("/usr/lib/locale",15,443040613);
		{
			/* INLINED CODE (DIRECTORY.make) */
			(void) RTCW(loc2);
			F795_11167(loc2, tr1);
			/* END INLINED CODE */
		}
		;
	}
	{
		/* INLINED CODE (DIRECTORY.exists) */
		tb1 = (EIF_BOOLEAN)  0;
		(void) RTCW(loc2);
		tp1 = *(EIF_POINTER *)(RTCV(F795_11205(loc2))+ _PTROFF_0_1_0_1_0_0_);
		tb1 = (EIF_BOOLEAN) EIF_TEST(eif_dir_exists((EIF_FILENAME) tp1));
		/* END INLINED CODE */
	}
	tb1 = tb1;
	if (tb1) {
		loc3 = F795_11185(RTCW(loc2));
		{
			/* INLINED CODE (ARRAYED_LIST.start) */
			(void) RTCW(loc3);
			*(EIF_INTEGER_32 *)(loc3 + O12448[Dtype(loc3)-1576]) = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
			/* END INLINED CODE */
		}
		;
		for (;;) {
			{
				/* INLINED CODE (LIST.after) */
				tb1 = (EIF_BOOLEAN)  0;
				(void) RTCW(loc3);
				ti4_1 = *(EIF_INTEGER_32 *)(loc3 + O12448[Dtype(loc3)-1576]);
				ti4_2 = F1577_15116(loc3);
				tb1 = (EIF_BOOLEAN) (EIF_BOOLEAN)(ti4_1 == (EIF_INTEGER_32) (ti4_2 + ((EIF_INTEGER_32) 1L)));
				/* END INLINED CODE */
			}
			tb1 = tb1;
			if (tb1) break;
			loc1 = RTLNS(eif_new_type(2921, 0x00).id, 2921, _OBJSIZ_6_0_0_0_0_0_0_0_);
			tr1 = F1577_15100(RTCW(loc3));
			F2922_33015(RTCW(loc1), tr1);
			tr1 = *(EIF_REFERENCE *)(RTCW(loc1) + _REFACS_1_);
			if (F226_3705(Current, tr1)) {
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R11935[Dtype(RTCW(Result))-1333])(Result, loc1);
			}
			{
				/* INLINED CODE (ARRAYED_LIST.forth) */
				(void) RTCW(loc3);
				(*(EIF_INTEGER_32 *)(loc3 + O12448[Dtype(loc3)-1576]))++;
				/* END INLINED CODE */
			}
			;
		}
	}
	RTLE;
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.default_locale_id */
EIF_REFERENCE F2956_33737 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	
	RTLI(3);
	RTLR(0,tr1);
	RTLR(1,Current);
	RTLR(2,tr2);
	RTLIU(3);
	
	RTGC;
	tr1 = RTMS_EX_H("",0,0);
	F226_3702(Current, tr1);
	{
		/* INLINED CODE (I18N_HOST_LOCALE_IMP.current_locale_id) */
		tr1 = (EIF_REFERENCE)  0;
		tr1 = RTLNS(eif_new_type(2921, 0x00).id, 2921, _OBJSIZ_6_0_0_0_0_0_0_0_);
		tr2 = F2956_33740(Current);
		F2922_33015(RTCW(tr1), tr2);
		/* END INLINED CODE */
	}
	RTLE;
	return (EIF_REFERENCE) tr1;
}

/* {I18N_HOST_LOCALE_IMP}.system_locale_id */
EIF_REFERENCE F2956_33738 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,tr2);
	RTLIU(3);
	
	RTGC;
	{
		/* INLINED CODE (I18N_HOST_LOCALE_IMP.default_locale_id) */
		tr1 = (EIF_REFERENCE)  0;
		tr2 = RTMS_EX_H("",0,0);
		F226_3702(Current, tr2);
		tr1 = F2956_33739(Current);
		/* END INLINED CODE */
	}
	RTLE;
	return (EIF_REFERENCE) tr1;
}

/* {I18N_HOST_LOCALE_IMP}.current_locale_id */
EIF_REFERENCE F2956_33739 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,Result);
	RTLIU(3);
	
	RTGC;
	Result = RTLNS(eif_new_type(2921, 0x00).id, 2921, _OBJSIZ_6_0_0_0_0_0_0_0_);
	tr1 = F2956_33740(Current);
	F2922_33015(RTCW(Result), tr1);
	RTLE;
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.locale_name */
EIF_REFERENCE F2956_33740 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,Result);
	RTLIU(3);
	
	RTGC;
	{
		/* INLINED CODE (I18N_UNIX_C_FUNCTIONS.unix_locale_name) */
		tr1 = (EIF_REFERENCE)  0;
		tr1 = *(EIF_REFERENCE *)(RTCV(RTOSCF(3708,F226_3708, (Current))));
		/* END INLINED CODE */
	}
	Result = F2256_21971(RTCV(tr1));
	RTLE;
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.fill */
void F2956_33741 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(3);
	RTLR(0,arg1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLIU(3);
	
	RTGC;
	F2956_33742(Current, arg1);
	F2956_33743(Current, arg1);
	F2956_33744(Current, arg1);
	{
		/* INLINED CODE (I18N_HOST_LOCALE_IMP.fill_code_page_info) */
		tr1 = (EIF_REFERENCE)  0;
		tr1 = F2956_33766(Current);
		F228_3761(RTCW(arg1), tr1);
		F228_3762(RTCW(arg1), tr1);
		F228_3763(RTCW(arg1), tr1);
		/* END INLINED CODE */
	}
	;
	RTLE;
}

/* {I18N_HOST_LOCALE_IMP}.fill_date_time_info */
void F2956_33742 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_INTEGER_32 ti4_1;
	RTLD;
	
	RTLI(5);
	RTLR(0,arg1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,tr2);
	RTLR(4,tr3);
	RTLIU(5);
	
	RTGC;
	{
		/* INLINED CODE (I18N_HOST_LOCALE_IMP.get_date_time_format) */
		tr1 = (EIF_REFERENCE)  0;
		ti4_1 = inline_F227_3751();
		tr2 = F226_3703(Current, ti4_1);
		tr1 = F2956_33771(Current, tr2);
		tr2 = RTMS32_EX_H("%\000\000\000",1,37);
		tr3 = RTMS32_EX_H("&\000\000\000",1,38);
		F2265_22300(RTCW(tr1), tr2, tr3);
		/* END INLINED CODE */
	}
	tr2 = tr1;
	{
		/* INLINED CODE (I18N_DATE_TIME_INFO.set_date_time_format) */
		(void) RTCW(arg1);
		tr3 = F2256_21972(RTCW(tr2));
		RTAR(arg1, tr3);
		*(EIF_REFERENCE *)(arg1 + _REFACS_3_) = (EIF_REFERENCE) tr3;
		/* END INLINED CODE */
	}
	;
	{
		/* INLINED CODE (I18N_HOST_LOCALE_IMP.get_long_date_format) */
		tr1 = (EIF_REFERENCE)  0;
		ti4_1 = inline_F227_3752();
		tr2 = F226_3703(Current, ti4_1);
		tr1 = F2956_33771(Current, tr2);
		tr2 = RTMS32_EX_H("%\000\000\000",1,37);
		tr3 = RTMS32_EX_H("&\000\000\000",1,38);
		F2265_22300(RTCW(tr1), tr2, tr3);
		/* END INLINED CODE */
	}
	tr2 = tr1;
	{
		/* INLINED CODE (I18N_DATE_TIME_INFO.set_long_date_format) */
		(void) RTCW(arg1);
		tr3 = F2256_21972(RTCW(tr2));
		RTAR(arg1, tr3);
		*(EIF_REFERENCE *)(arg1 + _REFACS_4_) = (EIF_REFERENCE) tr3;
		/* END INLINED CODE */
	}
	;
	{
		/* INLINED CODE (I18N_HOST_LOCALE_IMP.get_long_time_format) */
		tr1 = (EIF_REFERENCE)  0;
		ti4_1 = inline_F227_3753();
		tr2 = F226_3703(Current, ti4_1);
		tr1 = F2956_33771(Current, tr2);
		tr2 = RTMS32_EX_H("%\000\000\000",1,37);
		tr3 = RTMS32_EX_H("&\000\000\000",1,38);
		F2265_22300(RTCW(tr1), tr2, tr3);
		/* END INLINED CODE */
	}
	tr2 = tr1;
	{
		/* INLINED CODE (I18N_DATE_TIME_INFO.set_long_time_format) */
		(void) RTCW(arg1);
		tr3 = F2256_21972(RTCW(tr2));
		RTAR(arg1, tr3);
		*(EIF_REFERENCE *)(arg1 + _REFACS_6_) = (EIF_REFERENCE) tr3;
		/* END INLINED CODE */
	}
	;
	{
		/* INLINED CODE (I18N_HOST_LOCALE_IMP.get_am_suffix) */
		tr1 = (EIF_REFERENCE)  0;
		ti4_1 = inline_F227_3749();
		tr2 = F226_3703(Current, ti4_1);
		tr1 = F2956_33771(Current, tr2);
		/* END INLINED CODE */
	}
	tr2 = tr1;
	{
		/* INLINED CODE (I18N_DATE_TIME_INFO.set_am_suffix) */
		(void) RTCW(arg1);
		tr3 = F2256_21972(RTCW(tr2));
		RTAR(arg1, tr3);
		*(EIF_REFERENCE *)(arg1 + _REFACS_8_) = (EIF_REFERENCE) tr3;
		/* END INLINED CODE */
	}
	;
	{
		/* INLINED CODE (I18N_HOST_LOCALE_IMP.get_pm_suffix) */
		tr1 = (EIF_REFERENCE)  0;
		ti4_1 = inline_F227_3750();
		tr2 = F226_3703(Current, ti4_1);
		tr1 = F2956_33771(Current, tr2);
		/* END INLINED CODE */
	}
	tr2 = tr1;
	{
		/* INLINED CODE (I18N_DATE_TIME_INFO.set_pm_suffix) */
		(void) RTCW(arg1);
		tr3 = F2256_21972(RTCW(tr2));
		RTAR(arg1, tr3);
		*(EIF_REFERENCE *)(arg1 + _REFACS_9_) = (EIF_REFERENCE) tr3;
		/* END INLINED CODE */
	}
	;
	tr1 = F2956_33751(Current);
	{
		/* INLINED CODE (I18N_DATE_TIME_INFO.set_day_names) */
		(void) RTCW(arg1);
		RTAR(arg1, tr1);
		*(EIF_REFERENCE *)(arg1 + _REFACS_12_) = (EIF_REFERENCE) tr1;
		/* END INLINED CODE */
	}
	;
	tr1 = F2956_33752(Current);
	{
		/* INLINED CODE (I18N_DATE_TIME_INFO.set_month_names) */
		(void) RTCW(arg1);
		RTAR(arg1, tr1);
		*(EIF_REFERENCE *)(arg1 + _REFACS_13_) = (EIF_REFERENCE) tr1;
		/* END INLINED CODE */
	}
	;
	tr1 = F2956_33753(Current);
	{
		/* INLINED CODE (I18N_DATE_TIME_INFO.set_abbreviated_day_names) */
		(void) RTCW(arg1);
		RTAR(arg1, tr1);
		*(EIF_REFERENCE *)(arg1 + _REFACS_14_) = (EIF_REFERENCE) tr1;
		/* END INLINED CODE */
	}
	;
	tr1 = F2956_33754(Current);
	{
		/* INLINED CODE (I18N_DATE_TIME_INFO.set_abbreviated_month_names) */
		(void) RTCW(arg1);
		RTAR(arg1, tr1);
		*(EIF_REFERENCE *)(arg1 + _REFACS_15_) = (EIF_REFERENCE) tr1;
		/* END INLINED CODE */
	}
	;
	RTLE;
}

/* {I18N_HOST_LOCALE_IMP}.fill_numeric_info */
void F2956_33743 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	RTLD;
	
	RTLI(5);
	RTLR(0,arg1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,tr2);
	RTLR(4,tr3);
	RTLIU(5);
	
	RTGC;
	{
		/* INLINED CODE (I18N_HOST_LOCALE_IMP.get_value_decimal_separator) */
		tr1 = (EIF_REFERENCE)  0;
		tr1 = RTLNS(eif_new_type(2264, 0x00).id, 2264, _OBJSIZ_1_1_0_3_0_0_0_0_);
		tp1 = (EIF_POINTER) localeconv();
		tp1 = (EIF_POINTER) (((struct lconv *)tp1)->decimal_point);
		F2263_22212(RTCW(tr1), tp1);
		/* END INLINED CODE */
	}
	tr2 = tr1;
	{
		/* INLINED CODE (I18N_NUMERIC_INFO.set_value_decimal_separator) */
		(void) RTCW(arg1);
		tr3 = F2256_21971(RTCW(tr2));
		RTAR(arg1, tr3);
		*(EIF_REFERENCE *)(arg1 + _REFACS_28_) = (EIF_REFERENCE) tr3;
		/* END INLINED CODE */
	}
	;
	{
		/* INLINED CODE (I18N_HOST_LOCALE_IMP.get_value_group_separator) */
		tr1 = (EIF_REFERENCE)  0;
		tr1 = RTLNS(eif_new_type(2264, 0x00).id, 2264, _OBJSIZ_1_1_0_3_0_0_0_0_);
		tp1 = (EIF_POINTER) localeconv();
		tp1 = (EIF_POINTER) (((struct lconv *)tp1)->thousands_sep);
		F2263_22212(RTCW(tr1), tp1);
		/* END INLINED CODE */
	}
	tr2 = tr1;
	{
		/* INLINED CODE (I18N_NUMERIC_INFO.set_value_group_separator) */
		(void) RTCW(arg1);
		tr3 = F2256_21971(RTCW(tr2));
		RTAR(arg1, tr3);
		*(EIF_REFERENCE *)(arg1 + _REFACS_29_) = (EIF_REFERENCE) tr3;
		/* END INLINED CODE */
	}
	;
	{
		/* INLINED CODE (I18N_HOST_LOCALE_IMP.get_value_grouping) */
		tr1 = (EIF_REFERENCE)  0;
		tp1 = (EIF_POINTER) localeconv();
		tp1 = (EIF_POINTER) (((struct lconv *)tp1)->grouping);
		tr1 = F2956_33769(Current, tp1);
		/* END INLINED CODE */
	}
	tr2 = tr1;
	{
		/* INLINED CODE (I18N_NUMERIC_INFO.set_value_grouping) */
		(void) RTCW(arg1);
		RTAR(arg1, tr2);
		*(EIF_REFERENCE *)(arg1 + _REFACS_33_) = (EIF_REFERENCE) tr2;
		/* END INLINED CODE */
	}
	;
	RTLE;
}

/* {I18N_HOST_LOCALE_IMP}.fill_currency_info */
void F2956_33744 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_INTEGER_32 ti4_1;
	RTLD;
	
	RTLI(5);
	RTLR(0,arg1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,tr2);
	RTLR(4,tr3);
	RTLIU(5);
	
	RTGC;
	{
		/* INLINED CODE (I18N_HOST_LOCALE_IMP.get_currency_symbol) */
		tr1 = (EIF_REFERENCE)  0;
		ti4_1 = inline_F227_3755();
		tr2 = F226_3703(Current, ti4_1);
		tr1 = F2956_33771(Current, tr2);
		F2265_22345(RTCW(tr1), ((EIF_INTEGER_32) 1L));
		/* END INLINED CODE */
	}
	tr2 = tr1;
	{
		/* INLINED CODE (I18N_CURRENCY_INFO.set_currency_symbol) */
		(void) RTCW(arg1);
		tr3 = F2256_21971(RTCW(tr2));
		RTAR(arg1, tr3);
		*(EIF_REFERENCE *)(arg1 + O3736[Dtype(arg1)-229]) = (EIF_REFERENCE) tr3;
		/* END INLINED CODE */
	}
	;
	ti4_1 = F2956_33759(Current);
	{
		/* INLINED CODE (I18N_CURRENCY_INFO.set_currency_symbol_location) */
		(void) RTCW(arg1);
		*(EIF_INTEGER_32 *)(arg1 + O3737[Dtype(arg1)-229]) = (EIF_INTEGER_32) ti4_1;
		/* END INLINED CODE */
	}
	;
	{
		/* INLINED CODE (I18N_HOST_LOCALE_IMP.get_currency_decimal_separator) */
		tr1 = (EIF_REFERENCE)  0;
		tr1 = RTLNS(eif_new_type(2264, 0x00).id, 2264, _OBJSIZ_1_1_0_3_0_0_0_0_);
		tp1 = (EIF_POINTER) localeconv();
		tp1 = (EIF_POINTER) (((struct lconv *)tp1)->mon_decimal_point);
		F2263_22212(RTCW(tr1), tp1);
		/* END INLINED CODE */
	}
	tr2 = tr1;
	{
		/* INLINED CODE (I18N_CURRENCY_INFO.set_currency_decimal_separator) */
		(void) RTCW(arg1);
		tr3 = F2256_21972(RTCW(tr2));
		RTAR(arg1, tr3);
		*(EIF_REFERENCE *)(arg1 + O3741[Dtype(arg1)-229]) = (EIF_REFERENCE) tr3;
		/* END INLINED CODE */
	}
	;
	ti4_1 = F2956_33761(Current);
	{
		/* INLINED CODE (I18N_CURRENCY_INFO.set_currency_numbers_after_decimal_separator) */
		(void) RTCW(arg1);
		*(EIF_INTEGER_32 *)(arg1 + O3742[Dtype(arg1)-229]) = (EIF_INTEGER_32) ti4_1;
		/* END INLINED CODE */
	}
	;
	{
		/* INLINED CODE (I18N_HOST_LOCALE_IMP.get_currency_group_separator) */
		tr1 = (EIF_REFERENCE)  0;
		tr1 = RTLNS(eif_new_type(2264, 0x00).id, 2264, _OBJSIZ_1_1_0_3_0_0_0_0_);
		tp1 = (EIF_POINTER) localeconv();
		tp1 = (EIF_POINTER) (((struct lconv *)tp1)->mon_thousands_sep);
		F2263_22212(RTCW(tr1), tp1);
		/* END INLINED CODE */
	}
	tr2 = tr1;
	{
		/* INLINED CODE (I18N_CURRENCY_INFO.set_currency_group_separator) */
		(void) RTCW(arg1);
		tr3 = F2256_21972(RTCW(tr2));
		RTAR(arg1, tr3);
		*(EIF_REFERENCE *)(arg1 + O3743[Dtype(arg1)-229]) = (EIF_REFERENCE) tr3;
		/* END INLINED CODE */
	}
	;
	{
		/* INLINED CODE (I18N_HOST_LOCALE_IMP.get_currency_positive_sign) */
		tr1 = (EIF_REFERENCE)  0;
		tr1 = RTLNS(eif_new_type(2264, 0x00).id, 2264, _OBJSIZ_1_1_0_3_0_0_0_0_);
		tp1 = (EIF_POINTER) localeconv();
		tp1 = (EIF_POINTER) (((struct lconv *)tp1)->positive_sign);
		F2263_22212(RTCW(tr1), tp1);
		/* END INLINED CODE */
	}
	tr2 = tr1;
	{
		/* INLINED CODE (I18N_CURRENCY_INFO.set_currency_positive_sign) */
		(void) RTCW(arg1);
		tr3 = F2256_21972(RTCW(tr2));
		RTAR(arg1, tr3);
		*(EIF_REFERENCE *)(arg1 + O3745[Dtype(arg1)-229]) = (EIF_REFERENCE) tr3;
		/* END INLINED CODE */
	}
	;
	{
		/* INLINED CODE (I18N_HOST_LOCALE_IMP.get_currency_negative_sign) */
		tr1 = (EIF_REFERENCE)  0;
		tr1 = RTLNS(eif_new_type(2264, 0x00).id, 2264, _OBJSIZ_1_1_0_3_0_0_0_0_);
		tp1 = (EIF_POINTER) localeconv();
		tp1 = (EIF_POINTER) (((struct lconv *)tp1)->negative_sign);
		F2263_22212(RTCW(tr1), tp1);
		/* END INLINED CODE */
	}
	tr2 = tr1;
	{
		/* INLINED CODE (I18N_CURRENCY_INFO.set_currency_negative_sign) */
		(void) RTCW(arg1);
		tr3 = F2256_21972(RTCW(tr2));
		RTAR(arg1, tr3);
		*(EIF_REFERENCE *)(arg1 + O3746[Dtype(arg1)-229]) = (EIF_REFERENCE) tr3;
		/* END INLINED CODE */
	}
	;
	{
		/* INLINED CODE (I18N_HOST_LOCALE_IMP.get_currency_grouping) */
		tr1 = (EIF_REFERENCE)  0;
		tp1 = (EIF_POINTER) localeconv();
		tp1 = (EIF_POINTER) (((struct lconv *)tp1)->mon_grouping);
		tr1 = F2956_33769(Current, tp1);
		/* END INLINED CODE */
	}
	tr2 = tr1;
	{
		/* INLINED CODE (I18N_CURRENCY_INFO.set_currency_grouping) */
		(void) RTCW(arg1);
		RTAR(arg1, tr2);
		*(EIF_REFERENCE *)(arg1 + O3747[Dtype(arg1)-229]) = (EIF_REFERENCE) tr2;
		/* END INLINED CODE */
	}
	;
	{
		/* INLINED CODE (I18N_HOST_LOCALE_IMP.get_int_currency_symbol) */
		tr1 = (EIF_REFERENCE)  0;
		tr1 = RTLNS(eif_new_type(2264, 0x00).id, 2264, _OBJSIZ_1_1_0_3_0_0_0_0_);
		tp1 = (EIF_POINTER) localeconv();
		tp1 = (EIF_POINTER) (((struct lconv *)tp1)->int_curr_symbol);
		F2263_22212(RTCW(tr1), tp1);
		/* END INLINED CODE */
	}
	tr2 = tr1;
	{
		/* INLINED CODE (I18N_CURRENCY_INFO.set_international_currency_symbol) */
		(void) RTCW(arg1);
		tr3 = F2256_21971(RTCW(tr2));
		RTAR(arg1, tr3);
		*(EIF_REFERENCE *)(arg1 + O3748[Dtype(arg1)-229]) = (EIF_REFERENCE) tr3;
		/* END INLINED CODE */
	}
	;
	ti4_1 = F2956_33768(Current);
	{
		/* INLINED CODE (I18N_CURRENCY_INFO.set_international_currency_numbers_after_decimal_separator) */
		(void) RTCW(arg1);
		*(EIF_INTEGER_32 *)(arg1 + O3754[Dtype(arg1)-229]) = (EIF_INTEGER_32) ti4_1;
		/* END INLINED CODE */
	}
	;
	RTLE;
}

/* {I18N_HOST_LOCALE_IMP}.fill_code_page_info */
void F2956_33745 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	RTLD;
	
	RTLI(6);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,tr2);
	RTLR(4,tr3);
	RTLR(5,arg1);
	RTLIU(6);
	
	RTGC;
	{
		/* INLINED CODE (I18N_HOST_LOCALE_IMP.get_code_page) */
		tr1 = (EIF_REFERENCE)  0;
		tr2 = (EIF_REFERENCE)  0;
		tr1 = RTLNS(eif_new_type(930, 0x00).id, 930, _OBJSIZ_1_0_0_1_0_0_0_0_);
		tp1 = inline_F226_3706();
		F931_13191(RTCW(tr1), tp1);
		tr3 = *(EIF_REFERENCE *)(RTCW(tr1));
		tr2 = F2956_33771(Current, tr3);
		/* END INLINED CODE */
	}
	loc1 = tr2;
	{
		/* INLINED CODE (I18N_CODE_PAGE_INFO.set_ansi_code_page) */
		tr1 = (EIF_REFERENCE)  0;
		(void) RTCW(arg1);
		if ((EIF_BOOLEAN)(loc1 != NULL)) {
			tr2 = F2256_21965(RTCW(loc1));
			RTAR(arg1, tr2);
			*(EIF_REFERENCE *)(arg1) = (EIF_REFERENCE) tr2;
		} else {
			*(EIF_REFERENCE *)(arg1) = (EIF_REFERENCE) NULL;
		}
		/* END INLINED CODE */
	}
	;
	{
		/* INLINED CODE (I18N_CODE_PAGE_INFO.set_oem_code_page) */
		tr1 = (EIF_REFERENCE)  0;
		(void) RTCW(arg1);
		if ((EIF_BOOLEAN)(loc1 != NULL)) {
			tr2 = F2256_21965(RTCW(loc1));
			RTAR(arg1, tr2);
			*(EIF_REFERENCE *)(arg1 + _REFACS_1_) = (EIF_REFERENCE) tr2;
		} else {
			*(EIF_REFERENCE *)(arg1 + _REFACS_1_) = (EIF_REFERENCE) NULL;
		}
		/* END INLINED CODE */
	}
	;
	{
		/* INLINED CODE (I18N_CODE_PAGE_INFO.set_mac_code_page) */
		tr1 = (EIF_REFERENCE)  0;
		(void) RTCW(arg1);
		if ((EIF_BOOLEAN)(loc1 != NULL)) {
			tr2 = F2256_21965(RTCW(loc1));
			RTAR(arg1, tr2);
			*(EIF_REFERENCE *)(arg1 + _REFACS_2_) = (EIF_REFERENCE) tr2;
		} else {
			*(EIF_REFERENCE *)(arg1 + _REFACS_2_) = (EIF_REFERENCE) NULL;
		}
		/* END INLINED CODE */
	}
	;
	RTLE;
}

/* {I18N_HOST_LOCALE_IMP}.get_long_date_format */
EIF_REFERENCE F2956_33746 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(4);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,tr2);
	RTLR(3,Result);
	RTLIU(4);
	
	RTGC;
	ti4_1 = inline_F227_3752();
	{
		/* INLINED CODE (I18N_UNIX_C_FUNCTIONS.unix_get_locale_info_managed) */
		tr1 = (EIF_REFERENCE)  0;
		tr1 = RTLNS(eif_new_type(792, 0x00).id, 792, _OBJSIZ_0_1_0_1_0_1_1_0_);
		tp1 = inline_F226_3704(ti4_1);
		F793_11066(RTCW(tr1), tp1, ((EIF_INTEGER_32) 0L));
		/* END INLINED CODE */
	}
	tr2 = tr1;
	Result = F2956_33771(Current, tr2);
	tr1 = RTMS32_EX_H("%\000\000\000",1,37);
	tr2 = RTMS32_EX_H("&\000\000\000",1,38);
	F2265_22300(RTCW(Result), tr1, tr2);
	RTLE;
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.get_long_time_format */
EIF_REFERENCE F2956_33747 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(4);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,tr2);
	RTLR(3,Result);
	RTLIU(4);
	
	RTGC;
	ti4_1 = inline_F227_3753();
	{
		/* INLINED CODE (I18N_UNIX_C_FUNCTIONS.unix_get_locale_info_managed) */
		tr1 = (EIF_REFERENCE)  0;
		tr1 = RTLNS(eif_new_type(792, 0x00).id, 792, _OBJSIZ_0_1_0_1_0_1_1_0_);
		tp1 = inline_F226_3704(ti4_1);
		F793_11066(RTCW(tr1), tp1, ((EIF_INTEGER_32) 0L));
		/* END INLINED CODE */
	}
	tr2 = tr1;
	Result = F2956_33771(Current, tr2);
	tr1 = RTMS32_EX_H("%\000\000\000",1,37);
	tr2 = RTMS32_EX_H("&\000\000\000",1,38);
	F2265_22300(RTCW(Result), tr1, tr2);
	RTLE;
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.get_am_suffix */
EIF_REFERENCE F2956_33748 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(4);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,tr2);
	RTLR(3,Result);
	RTLIU(4);
	
	RTGC;
	ti4_1 = inline_F227_3749();
	{
		/* INLINED CODE (I18N_UNIX_C_FUNCTIONS.unix_get_locale_info_managed) */
		tr1 = (EIF_REFERENCE)  0;
		tr1 = RTLNS(eif_new_type(792, 0x00).id, 792, _OBJSIZ_0_1_0_1_0_1_1_0_);
		tp1 = inline_F226_3704(ti4_1);
		F793_11066(RTCW(tr1), tp1, ((EIF_INTEGER_32) 0L));
		/* END INLINED CODE */
	}
	tr2 = tr1;
	Result = F2956_33771(Current, tr2);
	RTLE;
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.get_pm_suffix */
EIF_REFERENCE F2956_33749 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(4);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,tr2);
	RTLR(3,Result);
	RTLIU(4);
	
	RTGC;
	ti4_1 = inline_F227_3750();
	{
		/* INLINED CODE (I18N_UNIX_C_FUNCTIONS.unix_get_locale_info_managed) */
		tr1 = (EIF_REFERENCE)  0;
		tr1 = RTLNS(eif_new_type(792, 0x00).id, 792, _OBJSIZ_0_1_0_1_0_1_1_0_);
		tp1 = inline_F226_3704(ti4_1);
		F793_11066(RTCW(tr1), tp1, ((EIF_INTEGER_32) 0L));
		/* END INLINED CODE */
	}
	tr2 = tr1;
	Result = F2956_33771(Current, tr2);
	RTLE;
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.get_date_time_format */
EIF_REFERENCE F2956_33750 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(4);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,tr2);
	RTLR(3,Result);
	RTLIU(4);
	
	RTGC;
	ti4_1 = inline_F227_3751();
	{
		/* INLINED CODE (I18N_UNIX_C_FUNCTIONS.unix_get_locale_info_managed) */
		tr1 = (EIF_REFERENCE)  0;
		tr1 = RTLNS(eif_new_type(792, 0x00).id, 792, _OBJSIZ_0_1_0_1_0_1_1_0_);
		tp1 = inline_F226_3704(ti4_1);
		F793_11066(RTCW(tr1), tp1, ((EIF_INTEGER_32) 0L));
		/* END INLINED CODE */
	}
	tr2 = tr1;
	Result = F2956_33771(Current, tr2);
	tr1 = RTMS32_EX_H("%\000\000\000",1,37);
	tr2 = RTMS32_EX_H("&\000\000\000",1,38);
	F2265_22300(RTCW(Result), tr1, tr2);
	RTLE;
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.get_day_names */
EIF_REFERENCE F2956_33751 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 loc1 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc2 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(5);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,Result);
	RTLR(3,loc3);
	RTLR(4,tr2);
	RTLIU(5);
	
	RTGC;
	loc2 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 7L);
	{
		static EIF_TYPE_INDEX typarr0[] = {1612,2264,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		Result = RTLNS(typres0.id, 1612, _OBJSIZ_1_1_0_2_0_0_0_0_);
	}
	tr1 = RTMS32_EX_H("",0,0);
	F1613_15288(RTCW(Result), tr1, ((EIF_INTEGER_32) 1L), loc2);
	loc1 = *(EIF_INTEGER_32 *)(RTCW(Result) + O12567[Dtype(Result)-1612]);
	for (;;) {
		ti4_1 = *(EIF_INTEGER_32 *)(RTCW(Result) + O12566[Dtype(Result)-1612]);
		if ((EIF_BOOLEAN) (loc1 > ti4_1)) break;
		ti4_2 = inline_F227_3718();
		{
			/* INLINED CODE (I18N_UNIX_C_FUNCTIONS.unix_get_locale_info_managed) */
			ti4_2 = (EIF_INTEGER_32) (ti4_2 + (EIF_INTEGER_32) ((EIF_INTEGER_32) (loc1 - ((EIF_INTEGER_32) 1L)) % loc2));
			tr1 = (EIF_REFERENCE)  0;
			tr1 = RTLNS(eif_new_type(792, 0x00).id, 792, _OBJSIZ_0_1_0_1_0_1_1_0_);
			tp1 = inline_F226_3704(ti4_2);
			F793_11066(RTCW(tr1), tp1, ((EIF_INTEGER_32) 0L));
			/* END INLINED CODE */
		}
		tr2 = tr1;
		loc3 = F2956_33771(Current, tr2);
		{
			/* INLINED CODE (ARRAY.put) */
			(void) RTCW(Result);
			tr1 = *(EIF_REFERENCE *)(Result);
			ti4_2 = *(EIF_INTEGER_32 *)(Result + O12567[Dtype(Result)-1612]);
			/* INLINED CODE (SPECIAL.put) */
			*((EIF_REFERENCE *)RTCW(tr1) + ((EIF_INTEGER_32) (loc1 - ti4_2))) = loc3;
			RTAR(tr1,loc3);
			/* END INLINED CODE */;
			/* END INLINED CODE */
		}
		;
		loc1++;
	}
	RTLE;
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.get_month_names */
EIF_REFERENCE F2956_33752 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 loc1 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(5);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,Result);
	RTLR(3,loc2);
	RTLR(4,tr2);
	RTLIU(5);
	
	RTGC;
	{
		static EIF_TYPE_INDEX typarr0[] = {1612,2264,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		Result = RTLNS(typres0.id, 1612, _OBJSIZ_1_1_0_2_0_0_0_0_);
	}
	tr1 = RTMS32_EX_H("",0,0);
	F1613_15288(RTCW(Result), tr1, ((EIF_INTEGER_32) 1L), ((EIF_INTEGER_32) 12L));
	loc1 = *(EIF_INTEGER_32 *)(RTCW(Result) + O12567[Dtype(Result)-1612]);
	for (;;) {
		ti4_1 = *(EIF_INTEGER_32 *)(RTCW(Result) + O12566[Dtype(Result)-1612]);
		if ((EIF_BOOLEAN) (loc1 > ti4_1)) break;
		ti4_2 = inline_F227_3737();
		{
			/* INLINED CODE (I18N_UNIX_C_FUNCTIONS.unix_get_locale_info_managed) */
			ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_32) (ti4_2 + loc1) - ((EIF_INTEGER_32) 1L));
			tr1 = (EIF_REFERENCE)  0;
			tr1 = RTLNS(eif_new_type(792, 0x00).id, 792, _OBJSIZ_0_1_0_1_0_1_1_0_);
			tp1 = inline_F226_3704(ti4_2);
			F793_11066(RTCW(tr1), tp1, ((EIF_INTEGER_32) 0L));
			/* END INLINED CODE */
		}
		tr2 = tr1;
		loc2 = F2956_33771(Current, tr2);
		{
			/* INLINED CODE (ARRAY.put) */
			(void) RTCW(Result);
			tr1 = *(EIF_REFERENCE *)(Result);
			ti4_2 = *(EIF_INTEGER_32 *)(Result + O12567[Dtype(Result)-1612]);
			/* INLINED CODE (SPECIAL.put) */
			*((EIF_REFERENCE *)RTCW(tr1) + ((EIF_INTEGER_32) (loc1 - ti4_2))) = loc2;
			RTAR(tr1,loc2);
			/* END INLINED CODE */;
			/* END INLINED CODE */
		}
		;
		loc1++;
	}
	RTLE;
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.get_abbreviated_day_names */
EIF_REFERENCE F2956_33753 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 loc1 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc2 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(5);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,Result);
	RTLR(3,loc3);
	RTLR(4,tr2);
	RTLIU(5);
	
	RTGC;
	loc2 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 7L);
	{
		static EIF_TYPE_INDEX typarr0[] = {1612,2264,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		Result = RTLNS(typres0.id, 1612, _OBJSIZ_1_1_0_2_0_0_0_0_);
	}
	tr1 = RTMS32_EX_H("",0,0);
	F1613_15288(RTCW(Result), tr1, ((EIF_INTEGER_32) 1L), loc2);
	loc1 = *(EIF_INTEGER_32 *)(RTCW(Result) + O12567[Dtype(Result)-1612]);
	for (;;) {
		ti4_1 = *(EIF_INTEGER_32 *)(RTCW(Result) + O12566[Dtype(Result)-1612]);
		if ((EIF_BOOLEAN) (loc1 > ti4_1)) break;
		ti4_2 = inline_F227_3711();
		{
			/* INLINED CODE (I18N_UNIX_C_FUNCTIONS.unix_get_locale_info_managed) */
			ti4_2 = (EIF_INTEGER_32) (ti4_2 + (EIF_INTEGER_32) ((EIF_INTEGER_32) (loc1 - ((EIF_INTEGER_32) 1L)) % loc2));
			tr1 = (EIF_REFERENCE)  0;
			tr1 = RTLNS(eif_new_type(792, 0x00).id, 792, _OBJSIZ_0_1_0_1_0_1_1_0_);
			tp1 = inline_F226_3704(ti4_2);
			F793_11066(RTCW(tr1), tp1, ((EIF_INTEGER_32) 0L));
			/* END INLINED CODE */
		}
		tr2 = tr1;
		loc3 = F2956_33771(Current, tr2);
		{
			/* INLINED CODE (ARRAY.put) */
			(void) RTCW(Result);
			tr1 = *(EIF_REFERENCE *)(Result);
			ti4_2 = *(EIF_INTEGER_32 *)(Result + O12567[Dtype(Result)-1612]);
			/* INLINED CODE (SPECIAL.put) */
			*((EIF_REFERENCE *)RTCW(tr1) + ((EIF_INTEGER_32) (loc1 - ti4_2))) = loc3;
			RTAR(tr1,loc3);
			/* END INLINED CODE */;
			/* END INLINED CODE */
		}
		;
		loc1++;
	}
	RTLE;
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.get_abbreviated_month_names */
EIF_REFERENCE F2956_33754 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 loc1 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(5);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,Result);
	RTLR(3,loc2);
	RTLR(4,tr2);
	RTLIU(5);
	
	RTGC;
	{
		static EIF_TYPE_INDEX typarr0[] = {1612,2264,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		Result = RTLNS(typres0.id, 1612, _OBJSIZ_1_1_0_2_0_0_0_0_);
	}
	tr1 = RTMS32_EX_H("",0,0);
	F1613_15288(RTCW(Result), tr1, ((EIF_INTEGER_32) 1L), ((EIF_INTEGER_32) 12L));
	loc1 = *(EIF_INTEGER_32 *)(RTCW(Result) + O12567[Dtype(Result)-1612]);
	for (;;) {
		ti4_1 = *(EIF_INTEGER_32 *)(RTCW(Result) + O12566[Dtype(Result)-1612]);
		if ((EIF_BOOLEAN) (loc1 > ti4_1)) break;
		ti4_2 = inline_F227_3725();
		{
			/* INLINED CODE (I18N_UNIX_C_FUNCTIONS.unix_get_locale_info_managed) */
			ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_32) (ti4_2 + loc1) - ((EIF_INTEGER_32) 1L));
			tr1 = (EIF_REFERENCE)  0;
			tr1 = RTLNS(eif_new_type(792, 0x00).id, 792, _OBJSIZ_0_1_0_1_0_1_1_0_);
			tp1 = inline_F226_3704(ti4_2);
			F793_11066(RTCW(tr1), tp1, ((EIF_INTEGER_32) 0L));
			/* END INLINED CODE */
		}
		tr2 = tr1;
		loc2 = F2956_33771(Current, tr2);
		{
			/* INLINED CODE (ARRAY.put) */
			(void) RTCW(Result);
			tr1 = *(EIF_REFERENCE *)(Result);
			ti4_2 = *(EIF_INTEGER_32 *)(Result + O12567[Dtype(Result)-1612]);
			/* INLINED CODE (SPECIAL.put) */
			*((EIF_REFERENCE *)RTCW(tr1) + ((EIF_INTEGER_32) (loc1 - ti4_2))) = loc2;
			RTAR(tr1,loc2);
			/* END INLINED CODE */;
			/* END INLINED CODE */
		}
		;
		loc1++;
	}
	RTLE;
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.get_value_decimal_separator */
EIF_REFERENCE F2956_33755 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Result);
	RTLIU(1);
	
	RTGC;
	Result = RTLNS(eif_new_type(2264, 0x00).id, 2264, _OBJSIZ_1_1_0_3_0_0_0_0_);
	tp1 = (EIF_POINTER) localeconv();
	tp1 = (EIF_POINTER) (((struct lconv *)tp1)->decimal_point);
	F2263_22212(RTCW(Result), tp1);
	RTLE;
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.get_value_group_separator */
EIF_REFERENCE F2956_33756 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Result);
	RTLIU(1);
	
	RTGC;
	Result = RTLNS(eif_new_type(2264, 0x00).id, 2264, _OBJSIZ_1_1_0_3_0_0_0_0_);
	tp1 = (EIF_POINTER) localeconv();
	tp1 = (EIF_POINTER) (((struct lconv *)tp1)->thousands_sep);
	F2263_22212(RTCW(Result), tp1);
	RTLE;
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.get_value_grouping */
EIF_REFERENCE F2956_33757 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,Result);
	RTLIU(2);
	
	RTGC;
	tp1 = (EIF_POINTER) localeconv();
	tp1 = (EIF_POINTER) (((struct lconv *)tp1)->grouping);
	Result = F2956_33769(Current, tp1);
	RTLE;
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.get_currency_symbol */
EIF_REFERENCE F2956_33758 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(4);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,tr2);
	RTLR(3,Result);
	RTLIU(4);
	
	RTGC;
	ti4_1 = inline_F227_3755();
	{
		/* INLINED CODE (I18N_UNIX_C_FUNCTIONS.unix_get_locale_info_managed) */
		tr1 = (EIF_REFERENCE)  0;
		tr1 = RTLNS(eif_new_type(792, 0x00).id, 792, _OBJSIZ_0_1_0_1_0_1_1_0_);
		tp1 = inline_F226_3704(ti4_1);
		F793_11066(RTCW(tr1), tp1, ((EIF_INTEGER_32) 0L));
		/* END INLINED CODE */
	}
	tr2 = tr1;
	Result = F2956_33771(Current, tr2);
	{
		/* INLINED CODE (STRING_32.remove_head) */
		(void) RTCW(Result);
		if ((EIF_BOOLEAN) (((EIF_INTEGER_32) 1L) > *(EIF_INTEGER_32 *)(Result+ _LNGOFF_1_1_0_2_))) {
			*(EIF_INTEGER_32 *)(Result+ _LNGOFF_1_1_0_2_) = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
			F2258_22010(Result);
		} else {
			F2265_22306(Result, (EIF_INTEGER_32) (*(EIF_INTEGER_32 *)(Result+ _LNGOFF_1_1_0_2_) - ((EIF_INTEGER_32) 1L)));
		}
		/* END INLINED CODE */
	}
	;
	RTLE;
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.get_currency_symbol_location */
EIF_INTEGER_32 F2956_33759 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_CHARACTER_32 tw1;
	EIF_CHARACTER_32 tw2;
	EIF_BOOLEAN tb1;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(4);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,tr2);
	RTLIU(4);
	
	RTGC;
	ti4_1 = inline_F227_3755();
	{
		/* INLINED CODE (I18N_UNIX_C_FUNCTIONS.unix_get_locale_info_managed) */
		tr1 = (EIF_REFERENCE)  0;
		tr1 = RTLNS(eif_new_type(792, 0x00).id, 792, _OBJSIZ_0_1_0_1_0_1_1_0_);
		tp1 = inline_F226_3704(ti4_1);
		F793_11066(RTCW(tr1), tp1, ((EIF_INTEGER_32) 0L));
		/* END INLINED CODE */
	}
	tr2 = tr1;
	loc1 = F2956_33771(Current, tr2);
	{
		/* INLINED CODE (FINITE.is_empty) */
		tb1 = (EIF_BOOLEAN)  0;
		(void) RTCW(loc1);
		ti4_1 = *(EIF_INTEGER_32 *)(loc1+ _LNGOFF_1_1_0_2_);
		tb1 = (EIF_BOOLEAN) (EIF_BOOLEAN)(ti4_1 == ((EIF_INTEGER_32) 0L));
		/* END INLINED CODE */
	}
	tb1 = tb1;
	if ((EIF_BOOLEAN) !tb1) {
		{
			/* INLINED CODE (STRING_32.item) */
			tw1 = (EIF_CHARACTER_32)  0;
			(void) RTCW(loc1);
			tr1 = *(EIF_REFERENCE *)(loc1);
			tw1 = 
				/* INLINED CODE (SPECIAL.item) */
				*((EIF_CHARACTER_32 *)RTCW(tr1) + ((EIF_INTEGER_32) (((EIF_INTEGER_32) 1L) - ((EIF_INTEGER_32) 1L))))
				/* END INLINED CODE */;
			/* END INLINED CODE */
		}
		tw1 = tw1;
		tw2 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '-';
		tb1 = tw1 == tw2;
		if (tb1) {
			RTLE;
			return (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
		} else {
			{
				/* INLINED CODE (STRING_32.item) */
				tw1 = (EIF_CHARACTER_32)  0;
				(void) RTCW(loc1);
				tr1 = *(EIF_REFERENCE *)(loc1);
				tw1 = 
					/* INLINED CODE (SPECIAL.item) */
					*((EIF_CHARACTER_32 *)RTCW(tr1) + ((EIF_INTEGER_32) (((EIF_INTEGER_32) 1L) - ((EIF_INTEGER_32) 1L))))
					/* END INLINED CODE */;
				/* END INLINED CODE */
			}
			tw1 = tw1;
			tw2 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '+';
			tb1 = tw1 == tw2;
			if (tb1) {
				Result = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
			} else {
				{
					/* INLINED CODE (STRING_32.item) */
					tw1 = (EIF_CHARACTER_32)  0;
					(void) RTCW(loc1);
					tr1 = *(EIF_REFERENCE *)(loc1);
					tw1 = 
						/* INLINED CODE (SPECIAL.item) */
						*((EIF_CHARACTER_32 *)RTCW(tr1) + ((EIF_INTEGER_32) (((EIF_INTEGER_32) 1L) - ((EIF_INTEGER_32) 1L))))
						/* END INLINED CODE */;
					/* END INLINED CODE */
				}
				tw1 = tw1;
				tw2 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '.';
				tb1 = tw1 == tw2;
				if (tb1) {
					RTLE;
					return (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
				} else {
					RTLE;
					return (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
				}
			}
		}
	} else {
		RTLE;
		return (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	}
	RTLE;
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.get_currency_decimal_separator */
EIF_REFERENCE F2956_33760 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Result);
	RTLIU(1);
	
	RTGC;
	Result = RTLNS(eif_new_type(2264, 0x00).id, 2264, _OBJSIZ_1_1_0_3_0_0_0_0_);
	tp1 = (EIF_POINTER) localeconv();
	tp1 = (EIF_POINTER) (((struct lconv *)tp1)->mon_decimal_point);
	F2263_22212(RTCW(Result), tp1);
	RTLE;
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.get_currency_numbers_after_decimal_separator */
EIF_INTEGER_32 F2956_33761 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_NATURAL_32 tu4_1;
	EIF_CHARACTER_8 tc1;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	RTGC;
	tp1 = (EIF_POINTER) localeconv();
	tc1 = (EIF_CHARACTER_8) (((struct lconv *)tp1)->frac_digits);
	tu4_1 = (EIF_NATURAL_32) tc1;
	Result = (EIF_INTEGER_32) tu4_1;
	if ((EIF_BOOLEAN)(Result == ((EIF_INTEGER_32) 255L))) {
		return (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	}
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.get_currency_group_separator */
EIF_REFERENCE F2956_33762 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Result);
	RTLIU(1);
	
	RTGC;
	Result = RTLNS(eif_new_type(2264, 0x00).id, 2264, _OBJSIZ_1_1_0_3_0_0_0_0_);
	tp1 = (EIF_POINTER) localeconv();
	tp1 = (EIF_POINTER) (((struct lconv *)tp1)->mon_thousands_sep);
	F2263_22212(RTCW(Result), tp1);
	RTLE;
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.get_currency_positive_sign */
EIF_REFERENCE F2956_33763 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Result);
	RTLIU(1);
	
	RTGC;
	Result = RTLNS(eif_new_type(2264, 0x00).id, 2264, _OBJSIZ_1_1_0_3_0_0_0_0_);
	tp1 = (EIF_POINTER) localeconv();
	tp1 = (EIF_POINTER) (((struct lconv *)tp1)->positive_sign);
	F2263_22212(RTCW(Result), tp1);
	RTLE;
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.get_currency_negative_sign */
EIF_REFERENCE F2956_33764 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Result);
	RTLIU(1);
	
	RTGC;
	Result = RTLNS(eif_new_type(2264, 0x00).id, 2264, _OBJSIZ_1_1_0_3_0_0_0_0_);
	tp1 = (EIF_POINTER) localeconv();
	tp1 = (EIF_POINTER) (((struct lconv *)tp1)->negative_sign);
	F2263_22212(RTCW(Result), tp1);
	RTLE;
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.get_currency_grouping */
EIF_REFERENCE F2956_33765 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,Result);
	RTLIU(2);
	
	RTGC;
	tp1 = (EIF_POINTER) localeconv();
	tp1 = (EIF_POINTER) (((struct lconv *)tp1)->mon_grouping);
	Result = F2956_33769(Current, tp1);
	RTLE;
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.get_code_page */
EIF_REFERENCE F2956_33766 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(4);
	RTLR(0,loc1);
	RTLR(1,tr1);
	RTLR(2,Current);
	RTLR(3,Result);
	RTLIU(4);
	
	RTGC;
	loc1 = RTLNS(eif_new_type(930, 0x00).id, 930, _OBJSIZ_1_0_0_1_0_0_0_0_);
	tp1 = inline_F226_3706();
	F931_13191(RTCW(loc1), tp1);
	tr1 = *(EIF_REFERENCE *)(RTCW(loc1));
	Result = F2956_33771(Current, tr1);
	RTLE;
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.get_int_currency_symbol */
EIF_REFERENCE F2956_33767 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Result);
	RTLIU(1);
	
	RTGC;
	Result = RTLNS(eif_new_type(2264, 0x00).id, 2264, _OBJSIZ_1_1_0_3_0_0_0_0_);
	tp1 = (EIF_POINTER) localeconv();
	tp1 = (EIF_POINTER) (((struct lconv *)tp1)->int_curr_symbol);
	F2263_22212(RTCW(Result), tp1);
	RTLE;
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.get_int_currency_numbers_after_decimal_separator */
EIF_INTEGER_32 F2956_33768 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_NATURAL_32 tu4_1;
	EIF_CHARACTER_8 tc1;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	RTGC;
	tp1 = (EIF_POINTER) localeconv();
	tc1 = (EIF_CHARACTER_8) (((struct lconv *)tp1)->int_frac_digits);
	tu4_1 = (EIF_NATURAL_32) tc1;
	Result = (EIF_INTEGER_32) tu4_1;
	if ((EIF_BOOLEAN)(Result == ((EIF_INTEGER_32) 255L))) {
		return (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	}
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.pointer_to_array */
EIF_REFERENCE F2956_33769 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 loc2 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc3 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_NATURAL_32 tu4_1;
	EIF_CHARACTER_32 tw1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(4);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,Result);
	RTLR(3,tr1);
	RTLIU(4);
	
	RTGC;
	loc1 = RTLNS(eif_new_type(2264, 0x00).id, 2264, _OBJSIZ_1_1_0_3_0_0_0_0_);
	F2263_22212(RTCW(loc1), arg1);
	{
		static EIF_TYPE_INDEX typarr0[] = {1613,2068,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		Result = RTLNS(typres0.id, 1613, _OBJSIZ_1_1_0_2_0_0_0_0_);
	}
	ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc1)+ _LNGOFF_1_1_0_2_);
	F1614_15288(RTCW(Result), ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 1L), ti4_1);
	loc2 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	for (;;) {
		ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc1)+ _LNGOFF_1_1_0_2_);
		if ((EIF_BOOLEAN) (loc2 > ti4_1)) break;
		{
			/* INLINED CODE (STRING_32.item) */
			tw1 = (EIF_CHARACTER_32)  0;
			(void) RTCW(loc1);
			tr1 = *(EIF_REFERENCE *)(loc1);
			tw1 = 
				/* INLINED CODE (SPECIAL.item) */
				*((EIF_CHARACTER_32 *)RTCW(tr1) + ((EIF_INTEGER_32) (loc2 - ((EIF_INTEGER_32) 1L))))
				/* END INLINED CODE */;
			/* END INLINED CODE */
		}
		tw1 = tw1;
		tu4_1 = (EIF_NATURAL_32) tw1;
		loc3 = (EIF_INTEGER_32) tu4_1;
		if ((EIF_BOOLEAN)(loc3 == ((EIF_INTEGER_32) 255L))) {
			loc2 = *(EIF_INTEGER_32 *)(RTCW(loc1)+ _LNGOFF_1_1_0_2_);
		} else {
			{
				/* INLINED CODE (ARRAY.put) */
				(void) RTCW(Result);
				tr1 = *(EIF_REFERENCE *)(Result);
				/* INLINED CODE (SPECIAL.put) */
				*((EIF_INTEGER_32 *)RTCW(tr1) + ((EIF_INTEGER_32) (loc2 - *(EIF_INTEGER_32 *)(Result+ _LNGOFF_1_1_0_1_)))) = loc3;
				/* END INLINED CODE */;
				/* END INLINED CODE */
			}
			;
		}
		loc2++;
	}
	if ((EIF_BOOLEAN)(loc3 != ((EIF_INTEGER_32) 255L))) {
		F1614_15314(RTCW(Result), ((EIF_INTEGER_32) 0L), loc2);
	}
	RTLE;
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.c_is_solaris */
EIF_BOOLEAN F2956_33770 (EIF_REFERENCE Current)
{
	GTCX
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	
	
	Result = EIF_TEST(inline_F2956_33770 ());
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.utf8_pointer_to_string */
EIF_REFERENCE F2956_33771 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(7);
	RTLR(0,loc1);
	RTLR(1,arg1);
	RTLR(2,tr1);
	RTLR(3,Current);
	RTLR(4,tr2);
	RTLR(5,tr3);
	RTLR(6,Result);
	RTLIU(7);
	
	RTGC;
	loc1 = RTLNS(eif_new_type(930, 0x00).id, 930, _OBJSIZ_1_0_0_1_0_0_0_0_);
	tp1 = *(EIF_POINTER *)(RTCW(arg1)+ _PTROFF_0_1_0_1_0_0_);
	F931_13191(RTCW(loc1), tp1);
	ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc1)+ _LNGOFF_1_0_0_0_);
	if ((EIF_BOOLEAN) (ti4_1 > ((EIF_INTEGER_32) 0L))) {
		{
			/* INLINED CODE (C_STRING.string) */
			tr1 = (EIF_REFERENCE)  0;
			(void) RTCW(loc1);
			tp1 = F931_13209(loc1);
			ti4_1 = (EIF_INTEGER_32) strlen((char*) tp1);
			tr1 = F931_13199(loc1, ((EIF_INTEGER_32) 1L), ti4_1);
			/* END INLINED CODE */
		}
		tr1 = tr1;
		{
			/* INLINED CODE (UNICODE_CONVERSION.utf8_to_utf32) */
			tr2 = (EIF_REFERENCE)  0;
			tr3 = RTLNS(eif_new_type(162, 0x00).id, 162, _OBJSIZ_0_0_0_0_0_0_0_0_);
			tr2 = F163_2813(RTCW(tr3), tr1);
			/* END INLINED CODE */
		}
		Result = tr2;
	} else {
		Result = RTLNS(eif_new_type(2264, 0x00).id, 2264, _OBJSIZ_1_1_0_3_0_0_0_0_);
		F2256_21912(RTCW(Result));
		RTLE;
		return (EIF_REFERENCE) Result;
	}
	RTLE;
	return Result;
}

/* {I18N_HOST_LOCALE_IMP}.guess_proper_locale */
EIF_REFERENCE F2956_33772 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_POINTER loc2 = (EIF_POINTER) 0;
	EIF_POINTER loc3 = (EIF_POINTER) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc6 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc7 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc8 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_CHARACTER_32 tw1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(11);
	RTLR(0,arg1);
	RTLR(1,loc1);
	RTLR(2,tr1);
	RTLR(3,loc5);
	RTLR(4,loc4);
	RTLR(5,loc8);
	RTLR(6,loc7);
	RTLR(7,Current);
	RTLR(8,loc6);
	RTLR(9,tr2);
	RTLR(10,Result);
	RTLIU(11);
	
	RTGC;
	tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '_';
	tb1 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE, EIF_CHARACTER_32)) R17079[Dtype(RTCW(arg1))-2259])(arg1, tw1);
	if (tb1) {
		loc1 = RTLNS(eif_new_type(930, 0x00).id, 930, _OBJSIZ_1_0_0_1_0_0_0_0_);
		F931_13187(RTCW(loc1), arg1);
		ti4_1 = inline_F226_3710();
		{
			/* INLINED CODE (C_STRING.item) */
			tp1 = (EIF_POINTER)  0;
			(void) RTCW(loc1);
			tr1 = *(EIF_REFERENCE *)(loc1);
			tp1 = *(EIF_POINTER *)(RTCW(tr1)+ _PTROFF_0_1_0_1_0_0_);
			/* END INLINED CODE */
		}
		tp1 = tp1;
		loc2 = inline_F226_3709(ti4_1, tp1);
		if ((EIF_BOOLEAN)(loc2 == loc3)) {
			loc5 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R17120[Dtype(RTCW(arg1))-2259])(arg1);
			loc1 = RTLNS(eif_new_type(930, 0x00).id, 930, _OBJSIZ_1_0_0_1_0_0_0_0_);
			tr1 = RTMS_EX_H("",0,0);
			F931_13187(RTCW(loc1), tr1);
			ti4_1 = inline_F226_3710();
			{
				/* INLINED CODE (C_STRING.item) */
				tp1 = (EIF_POINTER)  0;
				(void) RTCW(loc1);
				tr1 = *(EIF_REFERENCE *)(loc1);
				tp1 = *(EIF_POINTER *)(RTCW(tr1)+ _PTROFF_0_1_0_1_0_0_);
				/* END INLINED CODE */
			}
			tp1 = tp1;
			loc2 = inline_F226_3709(ti4_1, tp1);
			if ((EIF_BOOLEAN)(loc2 != loc3)) {
				loc1 = RTLNS(eif_new_type(930, 0x00).id, 930, _OBJSIZ_1_0_0_1_0_0_0_0_);
				F931_13191(RTCW(loc1), loc2);
				{
					/* INLINED CODE (C_STRING.string) */
					tr1 = (EIF_REFERENCE)  0;
					(void) RTCW(loc1);
					tp1 = F931_13209(loc1);
					ti4_1 = (EIF_INTEGER_32) strlen((char*) tp1);
					tr1 = F931_13199(loc1, ((EIF_INTEGER_32) 1L), ti4_1);
					/* END INLINED CODE */
				}
				loc4 = tr1;
				tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R17120[Dtype(RTCW(loc4))-2259])(loc4);
				tb1 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE, EIF_REFERENCE)) R17103[Dtype(RTCW(tr1))-2259])(tr1, loc5);
				if (tb1) {
					loc8 = (EIF_REFERENCE) loc4;
				}
			}
			if ((EIF_BOOLEAN)(loc8 == NULL)) {
				loc7 = F2956_33736(Current);
				{
					/* INLINED CODE (LINKED_LIST.start) */
					(void) RTCW(loc7);
					if ((EIF_BOOLEAN)(*(EIF_REFERENCE *)(loc7) != NULL)) {
						tr1 = *(EIF_REFERENCE *)(loc7);
						RTAR(loc7, tr1);
						*(EIF_REFERENCE *)(loc7 + _REFACS_1_) = (EIF_REFERENCE) tr1;
						*(EIF_BOOLEAN *)(loc7 + O12339[Dtype(loc7)-1550]) = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					} else {
						*(EIF_BOOLEAN *)(loc7 + O12339[Dtype(loc7)-1550]) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					}
					*(EIF_BOOLEAN *)(loc7 + O12338[Dtype(loc7)-1550]) = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					/* END INLINED CODE */
				}
				;
				for (;;) {
					tb1 = '\01';
					tb2 = *(EIF_BOOLEAN *)(RTCW(loc7) + O12339[Dtype(loc7)-1550]);
					if (!tb2) {
						tb1 = (EIF_BOOLEAN)(loc8 != NULL);
					}
					if (tb1) break;
					tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R11948[Dtype(RTCW(loc7))-1355])(loc7);
					loc6 = *(EIF_REFERENCE *)(RTCW(tr1) + _REFACS_1_);
					tb2 = F2263_22240(RTCW(loc6));
					if (tb2) {
						loc4 = F2256_21965(RTCW(loc6));
						tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R17120[Dtype(RTCW(loc4))-2259])(loc4);
						tb2 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE, EIF_REFERENCE)) R17103[Dtype(RTCW(tr1))-2259])(tr1, loc5);
						if (tb2) {
							loc8 = (EIF_REFERENCE) loc4;
						}
					}
					(FUNCTION_CAST(void, (EIF_REFERENCE)) R11925[Dtype(RTCW(loc7))-1333])(loc7);
				}
			}
		}
	}
	if ((EIF_BOOLEAN)(loc8 == NULL)) {
		tb2 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R17075[Dtype(RTCW(arg1))-2259])(arg1);
		if (tb2) {
			tr1 = F2256_21965(RTCW(arg1));
			RTLE;
			return (EIF_REFERENCE) tr1;
		} else {
			tr1 = RTLNS(eif_new_type(162, 0x00).id, 162, _OBJSIZ_0_0_0_0_0_0_0_0_);
			{
				/* INLINED CODE (UTF_CONVERTER.utf_32_string_to_utf_8_string_8) */
				tr2 = (EIF_REFERENCE)  0;
				(void) RTCW(tr1);
				tr2 = RTLNS(eif_new_type(2260, 0x00).id, 2260, _OBJSIZ_1_1_0_3_0_0_0_0_);
				ti4_1 = (FUNCTION_CAST(EIF_INTEGER_32, (EIF_REFERENCE)) R17098[Dtype(RTCW(arg1))-2259])(arg1);
				F2259_22042(RTCW(tr2), ti4_1);
				F163_2800(tr1, arg1, tr2);
				/* END INLINED CODE */
			}
			Result = tr2;
		}
	} else {
		RTLE;
		return (EIF_REFERENCE) loc8;
	}
	RTLE;
	return Result;
}

void EIF_Minit1987 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
