note
	description: "[
		Represent tables that can appear in a PE file
		]"
	date: "$Date: 2022-10-10 23:29:24 +0000 (Mon, 10 Oct 2022) $"
	revision: "$Revision: 106374 $"
class
	DNL_TABLE

create
	make

feature {NONE} -- Initialization

	make (a_size: INTEGER)
		do
			create {ARRAYED_LIST [TABLE_ENTRY_BASE]} table.make (a_size)
		end

feature -- Access


	table: LIST [TABLE_ENTRY_BASE]
		-- vector of tables that can appear in a PE file
		-- empty tables are elided / pass over?


end
