note
	description: "Object representing output modes."
	date: "$Date: 2022-10-10 23:29:24 +0000 (Mon, 10 Oct 2022) $"
	revision: "$Revision: 106374 $"

once class
	OUTPUT_MODE
create
	ilasm, peexe, pedll, object

feature {NONE} -- Creation

	ilasm once  end
	peexe once  end
	pedll once  end
	object once  end

feature -- Access

	instances: ITERABLE [OUTPUT_MODE]
			-- All known Output moes
		once
			Result := <<
					{OUTPUT_MODE}.ilasm,
					{OUTPUT_MODE}.peexe,
					{OUTPUT_MODE}.pedll,
					{OUTPUT_MODE}.object	>>
		ensure
			instance_free: class
		end

end
