/*
 * Code for class CAIRO
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"
#include "../E1/eoffsets.h"

#include "ca320.h"
#include <ev_gtk.h>
#include <cairo.h>

#ifdef __cplusplus
extern "C" {
#endif

#ifndef INLINE_F350_6032
static EIF_NATURAL_32 inline_F350_6032 (EIF_POINTER arg1)
{
	return (EIF_NATURAL_32) (cairo_get_reference_count((cairo_t*) arg1))
	;
}
#define INLINE_F350_6032
#endif
#ifndef INLINE_F350_6038
static void inline_F350_6038 (EIF_POINTER arg1)
{
	cairo_surface_destroy((cairo_surface_t*) arg1)
	;
}
#define INLINE_F350_6038
#endif
#ifndef INLINE_F350_6081
static void inline_F350_6081 (EIF_POINTER arg1, EIF_BOOLEAN arg2)
{
	double len = 2.0;
if (arg2) {
	cairo_set_dash ((cairo_t *) arg1, &len, 1, 0.0);
} else {
	cairo_set_dash ((cairo_t *) arg1, NULL, 0, 0.0);
}
	;
}
#define INLINE_F350_6081
#endif
#ifndef INLINE_F350_6096
static void inline_F350_6096 (EIF_POINTER arg1)
{
	cairo_paint ((cairo_t*)arg1)
	;
}
#define INLINE_F350_6096
#endif

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {CAIRO}.operator_source */
EIF_INTEGER_8 F350_6015 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_8 Result = ((EIF_INTEGER_8) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("operator_source", 349, Current, 0, 0, 5613);
	Result = (EIF_INTEGER_8) CAIRO_OPERATOR_SOURCE;
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {CAIRO}.operator_over */
EIF_INTEGER_8 F350_6016 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_8 Result = ((EIF_INTEGER_8) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("operator_over", 349, Current, 0, 0, 5614);
	Result = (EIF_INTEGER_8) CAIRO_OPERATOR_OVER;
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {CAIRO}.operator_atop */
EIF_INTEGER_8 F350_6021 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_8 Result = ((EIF_INTEGER_8) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("operator_atop", 349, Current, 0, 0, 5619);
	Result = (EIF_INTEGER_8) CAIRO_OPERATOR_ATOP;
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {CAIRO}.operator_difference */
EIF_INTEGER_8 F350_6027 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_8 Result = ((EIF_INTEGER_8) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("operator_difference", 349, Current, 0, 0, 5625);
	Result = (EIF_INTEGER_8) CAIRO_OPERATOR_DIFFERENCE;
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {CAIRO}.operator_exclusion */
EIF_INTEGER_8 F350_6028 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_8 Result = ((EIF_INTEGER_8) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("operator_exclusion", 349, Current, 0, 0, 5626);
	Result = (EIF_INTEGER_8) CAIRO_OPERATOR_EXCLUSION;
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {CAIRO}.operator_multiply */
EIF_INTEGER_8 F350_6029 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_8 Result = ((EIF_INTEGER_8) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("operator_multiply", 349, Current, 0, 0, 5627);
	Result = (EIF_INTEGER_8) CAIRO_OPERATOR_MULTIPLY;
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {CAIRO}.create_context */
EIF_POINTER F350_6030 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("create_context", 349, Current, 0, 1, 5628);Result = (EIF_POINTER) cairo_create((cairo_surface_t*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {CAIRO}.get_reference_count */
EIF_NATURAL_32 F350_6032 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_NATURAL_32 Result = ((EIF_NATURAL_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("get_reference_count", 349, Current, 0, 1, 5505);
	Result = inline_F350_6032 ((EIF_POINTER) arg1);
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {CAIRO}.destroy */
void F350_6033 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("destroy", 349, Current, 0, 1, 5506);cairo_destroy((cairo_t*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {CAIRO}.set_source_surface */
void F350_6037 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_REAL_64 arg3, EIF_REAL_64 arg4)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("set_source_surface", 349, Current, 0, 4, 5510);cairo_set_source_surface((cairo_t*) arg1, (cairo_surface_t*) arg2, (double) arg3, (double) arg4);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {CAIRO}.surface_destroy */
void F350_6038 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("surface_destroy", 349, Current, 0, 1, 5511);
	inline_F350_6038 ((EIF_POINTER) arg1);
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {CAIRO}.surface_flush */
void F350_6041 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("surface_flush", 349, Current, 0, 1, 5514);cairo_surface_flush((cairo_surface_t*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {CAIRO}.image_surface_create */
EIF_POINTER F350_6055 (EIF_REFERENCE Current, EIF_INTEGER_8 arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("image_surface_create", 349, Current, 0, 3, 5528);Result = (EIF_POINTER) cairo_image_surface_create((cairo_format_t) arg1, (int) arg2, (int) arg3);
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {CAIRO}.image_surface_get_width */
EIF_INTEGER_32 F350_6059 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("image_surface_get_width", 349, Current, 0, 1, 5532);Result = (EIF_INTEGER_32) cairo_image_surface_get_width((cairo_surface_t*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {CAIRO}.image_surface_get_height */
EIF_INTEGER_32 F350_6060 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("image_surface_get_height", 349, Current, 0, 1, 5533);Result = (EIF_INTEGER_32) cairo_image_surface_get_height((cairo_surface_t*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {CAIRO}.clip */
void F350_6061 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("clip", 349, Current, 0, 1, 5534);cairo_clip((cairo_t*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {CAIRO}.reset_clip */
void F350_6062 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("reset_clip", 349, Current, 0, 1, 5535);cairo_reset_clip((cairo_t*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {CAIRO}.clip_extents */
void F350_6063 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_REAL_64* arg2, EIF_REAL_64* arg3, EIF_REAL_64* arg4, EIF_REAL_64* arg5)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("clip_extents", 349, Current, 0, 5, 5536);cairo_clip_extents((cairo_t*) arg1, (double*) arg2, (double*) arg3, (double*) arg4, (double*) arg5);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {CAIRO}.save */
void F350_6073 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("save", 349, Current, 0, 1, 5546);cairo_save((cairo_t*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {CAIRO}.restore */
void F350_6074 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("restore", 349, Current, 0, 1, 5547);cairo_restore((cairo_t*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {CAIRO}.set_operator */
void F350_6079 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_8 arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("set_operator", 349, Current, 0, 2, 5552);cairo_set_operator((cairo_t*) arg1, (cairo_operator_t) arg2);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {CAIRO}.set_antialias */
void F350_6080 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_8 arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("set_antialias", 349, Current, 0, 2, 5553);cairo_set_antialias((cairo_t*) arg1, (cairo_antialias_t) arg2);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {CAIRO}.set_dashed_line_style */
void F350_6081 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_BOOLEAN arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("set_dashed_line_style", 349, Current, 0, 2, 5554);
	inline_F350_6081 ((EIF_POINTER) arg1, (EIF_BOOLEAN) arg2);
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {CAIRO}.fill */
void F350_6084 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	
	
	RTEAA("fill", 349, Current, 0, 1, 5557);
	RTHOOK(1);
	cairo_fill((cairo_t*) arg1);
	RTHOOK(2);
	RTEE;
}

/* {CAIRO}.cairo_fill */
void F350_6085 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("cairo_fill", 349, Current, 0, 1, 5558);cairo_fill((cairo_t*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {CAIRO}.translate */
void F350_6087 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_REAL_64 arg2, EIF_REAL_64 arg3)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("translate", 349, Current, 0, 3, 5560);cairo_translate((cairo_t*) arg1, (double) arg2, (double) arg3);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {CAIRO}.scale */
void F350_6094 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_REAL_64 arg2, EIF_REAL_64 arg3)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("scale", 349, Current, 0, 3, 5567);cairo_scale((cairo_t*) arg1, (double) arg2, (double) arg3);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {CAIRO}.rotate */
void F350_6095 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_REAL_64 arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("rotate", 349, Current, 0, 2, 5568);cairo_rotate((cairo_t*) arg1, (double) arg2);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {CAIRO}.paint */
void F350_6096 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("paint", 349, Current, 0, 1, 5569);
	inline_F350_6096 ((EIF_POINTER) arg1);
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {CAIRO}.stroke */
void F350_6097 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("stroke", 349, Current, 0, 1, 5570);cairo_stroke((cairo_t*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {CAIRO}.stroke_preserve */
void F350_6098 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("stroke_preserve", 349, Current, 0, 1, 5571);cairo_stroke_preserve((cairo_t*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {CAIRO}.move_to */
void F350_6099 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_REAL_64 arg2, EIF_REAL_64 arg3)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("move_to", 349, Current, 0, 3, 5572);cairo_move_to((cairo_t*) arg1, (double) arg2, (double) arg3);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {CAIRO}.line_to */
void F350_6100 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_REAL_64 arg2, EIF_REAL_64 arg3)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("line_to", 349, Current, 0, 3, 5573);cairo_line_to((cairo_t*) arg1, (double) arg2, (double) arg3);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {CAIRO}.rectangle */
void F350_6101 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_REAL_64 arg2, EIF_REAL_64 arg3, EIF_REAL_64 arg4, EIF_REAL_64 arg5)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("rectangle", 349, Current, 0, 5, 5574);cairo_rectangle((cairo_t*) arg1, (double) arg2, (double) arg3, (double) arg4, (double) arg5);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {CAIRO}.set_source_rgba */
void F350_6102 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_REAL_64 arg2, EIF_REAL_64 arg3, EIF_REAL_64 arg4, EIF_REAL_64 arg5)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("set_source_rgba", 349, Current, 0, 5, 5575);cairo_set_source_rgba((cairo_t*) arg1, (double) arg2, (double) arg3, (double) arg4, (double) arg5);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {CAIRO}.set_source_rgb */
void F350_6103 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_REAL_64 arg2, EIF_REAL_64 arg3, EIF_REAL_64 arg4)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("set_source_rgb", 349, Current, 0, 4, 5576);cairo_set_source_rgb((cairo_t*) arg1, (double) arg2, (double) arg3, (double) arg4);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {CAIRO}.arc_negative */
void F350_6106 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_REAL_64 arg2, EIF_REAL_64 arg3, EIF_REAL_64 arg4, EIF_REAL_64 arg5, EIF_REAL_64 arg6)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("arc_negative", 349, Current, 0, 6, 5579);cairo_arc_negative((cairo_t*) arg1, (double) arg2, (double) arg3, (double) arg4, (double) arg5, (double) arg6);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {CAIRO}.set_line_width */
void F350_6107 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_REAL_64 arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("set_line_width", 349, Current, 0, 2, 5580);cairo_set_line_width((cairo_t*) arg1, (double) arg2);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {CAIRO}.set_line_cap */
void F350_6108 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_8 arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("set_line_cap", 349, Current, 0, 2, 5581);cairo_set_line_cap((cairo_t*) arg1, (cairo_line_cap_t) arg2);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {CAIRO}.close_path */
void F350_6113 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("close_path", 349, Current, 0, 1, 5586);cairo_close_path((cairo_t*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {CAIRO}.cairo_content_color_alpha */
EIF_INTEGER_32 F350_6122 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("cairo_content_color_alpha", 349, Current, 0, 0, 5595);
	Result = (EIF_INTEGER_32) CAIRO_CONTENT_COLOR_ALPHA;
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

void EIF_Minit320 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
