note
	description: "Linkage type for unmanaged call"
	date: "$Date: 2022-10-07 20:18:40 +0000 (Fri, 07 Oct 2022) $"
	revision: "$Revision: 106373 $"

once class
	INVOKE_TYPE
create
	Cdecl,
	Stdcall

feature {NONE} -- Creation

	Cdecl once  end

	Stdcall once end

feature -- Access

	instances: ITERABLE [INVOKE_TYPE]
			-- All known invoke types
		do
			Result := << {INVOKE_TYPE}.Cdecl, {INVOKE_TYPE}.Stdcall >>
		ensure
			instance_free: class
		end
end
